% Modified by David Torun, for International Macroeconomics, FS 2019
%plot_mx_ir.m plots cross-country median  impulse respondes implied by the 
%MX Model  developed  in  the chapter entitled ``Importable Goods, Exportable Goods, and the Terms of Trade,'' 
%of the book  ``Open Economy Macroeconomics,'' by Mart�n Uribe and Stephanie Schmitt Grohe, 2014.
%� Mart�n Uribe and Stephanie Schmitt-Groh�, 2014. 

clear all; close all; clc; 
clf;

MUPARAM = 1;
mx_ir_adjusted

IR = median(IR_cbc,3); 

set(0,'defaultfigurecolor',[1 1 1])
set(0,'DefaultAxesColor',[1 1 1])

set(gca,'FontSize',16);

orient tall
t=0:Tir-1;
rows=6;
cols =3; 
thick = 3;
i=1;

subplot(rows,cols,i)
plot(t, IR(:,ny+ntot),'color',[0.2 0.5 0.2],'LineWidth',3) 
title('Terms of Trade')
set(gca,'FontSize',16); i=i+1; 

subplot(rows,cols,i)
plot(t, IR(:,nm),'color',[0.2 0.5 0.2],'LineWidth',3) 
title('Imports')
set(gca,'FontSize',16); i=i+1;  

subplot(rows,cols,i)
plot(t, IR(:,nx),'color',[0.2 0.5 0.2],'LineWidth',3) 
title('Exports')
set(gca,'FontSize',16); i=i+1;  

subplot(rows,cols,i)
plot(t,  (IR(:,ntby)) ,'color',[0.2 0.5 0.2],'LineWidth',3)
hold on 
title('Trade Balance')
set(gca,'FontSize',16); i=i+1;

subplot(rows,cols,i)
plot(t, IR(:,nym),'color',[0.2 0.5 0.2],'LineWidth',3) 
title('Output in Import Sector')
set(gca,'FontSize',16); i=i+1;  

subplot(rows,cols,i)
plot(t, IR(:,nyx),'color',[0.2 0.5 0.2],'LineWidth',3) 
title('Output in Export Sector')
set(gca,'FontSize',16); i=i+1;  

subplot(rows,cols,i)
plot(t, IR(:,nivv),'color',[0.2 0.5 0.2],'LineWidth',3) 
title('Investment')
set(gca,'FontSize',16); i=i+1;  

subplot(rows,cols,i)
plot(t, IR(:,nim),'color',[0.2 0.5 0.2],'LineWidth',3) 
hold on
title('Investment in Import Sector')
set(gca,'FontSize',16); i=i+1;  

subplot(rows,cols,i)
plot(t, IR(:,nix),'color',[0.2 0.5 0.2],'LineWidth',3) 
title('Investment in Export Sector')
set(gca,'FontSize',16); i=i+1;  

subplot(rows,cols,i)
plot(t, IR(:,noutput),'color',[0.2 0.5 0.2],'LineWidth',3) 
title('GDP')
set(gca,'FontSize',16); i=i+1;  

subplot(rows,cols,i)
plot(t, IR(:,nhm),'color',[0.2 0.5 0.2],'LineWidth',3) 
title('Employment in Import Sector')
set(gca,'FontSize',16); i=i+1;  

subplot(rows,cols,i)
plot(t, IR(:,nh_x),'color',[0.2 0.5 0.2],'LineWidth',3) 
title('Employment in Export Sector')
set(gca,'FontSize',16); i=i+1;  

subplot(rows,cols,i)
plot(t, IR(:,nc),'color',[0.2 0.5 0.2],'LineWidth',3) 
title('Consumption')
set(gca,'FontSize',16); i=i+1;  

subplot(rows,cols,i)
plot(t, IR(:,nam),'color',[0.2 0.5 0.2],'LineWidth',3) 
title('Use of Importables in Assembly')
set(gca,'FontSize',16); i=i+1;  

subplot(rows,cols,i)
plot(t, IR(:,nax),'color',[0.2 0.5 0.2],'LineWidth',3) 
title('Use of Exportables in Assembly')
set(gca,'FontSize',16); i=i+1;  

subplot(rows,cols,i)
plot(t, IR(:,ny+nd)/OUTPUT,'color',[0.2 0.5 0.2],'LineWidth',3) %we plot d_t/OUTPUT*100; IR = d_t - DBAR to a shock=10. 
title('External Debt')
set(gca,'FontSize',16); i=i+1; 

subplot(rows,cols,i)
plot(t, IR(:,nwm),'color',[0.2 0.5 0.2],'LineWidth',3) 
title('Wage in Import Sector')
set(gca,'FontSize',16); i=i+1;  

subplot(rows,cols,i)
plot(t, IR(:,nwx),'color',[0.2 0.5 0.2],'LineWidth',3) 
title('Wage in Export Sector')
set(gca,'FontSize',16);

set(gcf, 'Position', get(0, 'Screensize'));

